import { OnInit, EventEmitter } from '@angular/core';
export declare class DatePicker implements OnInit {
    month: number;
    year: number;
    monthSpan: number;
    maxRange: number;
    beginRange: number | string;
    endRange: number | string;
    beginDate: number | string;
    endDate: number | string;
    alignCal: string;
    emitDate: EventEmitter<{}>;
    monthText: string[];
    dayText: string[];
    private hideComponent;
    private paginationLeft;
    private paginationRight;
    private alignClass;
    private _year;
    private _monthSpan;
    private _maxRange;
    private _beginRange;
    private _endRange;
    private _beginDate;
    private _endDate;
    private _baseMonth;
    private now;
    viewModel: Object[];
    ngOnInit(): void;
    show(): void;
    close(): void;
    emit(): void;
    nextMonth(interval?: number): void;
    chooseDate(year: number, month: number, day: number): void;
    protected updateViewModel(newMonth?: number): void;
    protected generateCalendar(year: number, month: number): string[][];
    protected sanityCheck(sanitize?: boolean): boolean;
}
