import { EventEmitter, OnInit } from '@angular/core';
export declare class ListHeaders implements OnInit {
    headers: ListHeaders.IHeader[];
    emitSort: EventEmitter<ListHeaders.ISortEmission>;
    private tableMarkup;
    private sortedBy;
    private ascOrder;
    sort(header: any): void;
    ngOnInit(): void;
}
export declare namespace ListHeaders {
    interface IStyle {
        width: string;
    }
    interface ISortEmission {
        order: ListHeaders.ascOrder;
        sortBy: string;
    }
    interface IHeader {
        label: string;
        property: string;
        styles: IStyle;
        sortOnInit?: ascOrder;
    }
    type ascOrder = 'asc' | 'desc';
}
