import { AfterContentInit, ElementRef, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
export declare class DropdownDirective implements AfterContentInit, OnDestroy {
    private el;
    private document;
    private readonly classList;
    private documentClickStream;
    documentClickSubscription: Subscription;
    triggerClickSubscription: Subscription;
    contentChildrenSubscription: Subscription;
    private queryList;
    constructor(el: ElementRef, document: any);
    ngAfterContentInit(): void;
    private subscribeToTriggerClickStream(trigger);
    private toggleShow(event, stopPropagation?);
    ngOnDestroy(): void;
}
