import { OnChanges, OnDestroy } from '@angular/core';
import { TooltipPlacement } from '../../components/tooltip/tooltip';
import { TooltipService } from './tooltip-service';
export declare class TooltipDirective implements OnChanges, OnDestroy {
    private service;
    hovering: boolean;
    maxWidth: number;
    content: string;
    enabled: boolean;
    placement: TooltipPlacement;
    target: HTMLElement;
    onMouseEnter(event: MouseEvent): void;
    onMouseLeave(): void;
    constructor(service: TooltipService);
    private notifyTooltipComponent();
    ngOnChanges(): void;
    ngOnDestroy(): void;
}
