import { Observable } from 'rxjs/Rx';
import { ClientObserver, ClientMethod } from './clientObserver';
import { Client } from './client';
export declare class ObservableClientBase {
    protected client: Client;
    protected spy: ClientObserver;
    constructor(client: Client, spy?: ClientObserver);
    spyCall: <T>(method: ClientMethod, obs: Observable<T>, path?: string) => Observable<T>;
    put: <T, U>(url: string, entity: U) => Observable<T>;
    get: <T>(url: string) => Observable<T>;
    delete: <T>(url: string) => Observable<T>;
    post: <T, U>(url: string, entity: U) => Observable<T>;
}
