import { WindowRef } from '../window-ref';
export declare class Cookie {
    key: string;
    value: string;
    constructor(key: string, value: string);
}
export declare class ContextHelper {
    private window;
    constructor(window: WindowRef);
    orgNameFromPath(path: string): string;
    orgNameFromLocal(): string;
    orgNameToLocal(name: string): void;
    cookies(): Cookie[];
    cookie(key: string): string;
    getUser: () => string;
    getUuid: () => string;
    getSessionContext: () => ContextHelper.ISessionContext;
    private sessionContext;
    private accessToken;
    private jwt;
}
export declare namespace ContextHelper {
    interface ISessionContext {
        uuid: string;
        email: string;
    }
}
