import { Location } from '@angular/common';
import 'rxjs/Rx';
import { IAppConfig } from './app-config';
import { ContextHelper } from './context-helper';
import { GTMService } from './gtm';
import { WindowRef } from '../window-ref';
export interface IContext {
    orgName: string;
}
export declare class Context implements IContext {
    private _orgName;
    constructor(_orgName: any);
    readonly orgName: string;
}
export declare class ContextService {
    private location;
    private window;
    private gtmService;
    private appConfig;
    private _orgName;
    private helper;
    constructor(location: Location, window: WindowRef, gtmService: GTMService, appConfig: IAppConfig);
    getContext(): IContext;
    readonly orgName: string;
    readonly userEmail: string;
    readonly uuid: string;
    readonly sessionContext: ContextHelper.ISessionContext;
}
