import { RequestOptionsArgs } from '@angular/http';
import { Observable } from 'rxjs/Rx';
import { IClientBase } from './client';
export declare class ClientMock implements IClientBase {
    private predefinedResponses;
    constructor();
    private request;
    on: <T>(path: string, value: any, error?: boolean) => void;
    get: <T>(path: string, options?: RequestOptionsArgs) => Observable<T>;
    put: <T, U>(path: string, payload: U, options?: RequestOptionsArgs) => Observable<T>;
    post: <T, U>(path: string, payload: U, options?: RequestOptionsArgs) => Observable<T>;
    delete: <T>(path: string, options?: RequestOptionsArgs) => Observable<T>;
}
