import { IGAEventProps, IGAPageView, IGAEvent, IGTMContext } from './context/gtm';
export declare class WindowRef {
    location(path: string): void;
    getLocal(key: string): any;
    setLocal(key: string, value: any): any;
    cookies(): string;
    gtmContext(context: IGTMContext): void;
    registerPageTrack(path: string): void;
    registerEventTrack(properties: IGAEventProps): void;
}
export declare class WindowMock implements WindowRef {
    locationPath: string;
    cookieString: string;
    dataLayer: Array<IGTMContext | IGAEvent | IGAPageView>;
    local: any;
    constructor();
    location(path: string): void;
    getLocal(key: string): any;
    setLocal(key: string, value: any): void;
    gtmContext(context: IGTMContext): void;
    cookies(): string;
    registerPageTrack(path: string): void;
    registerEventTrack(properties: IGAEventProps): void;
}
